Issue 122374 - scrollbar does initially not work in 3D illumination tab
scrollbar does initially not work in 3D illumination tab
Status: RESOLVED FIXED
Product: Draw
Classification: Application
Component: editing
4.0.0-dev
PC Windows 7
: P3 normal (vote)
: 4.0.0
Assigned To: AOO issues mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 21:07 UTC by Regina Henschel
Modified: 2013-07-12 16:40 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
No sliders in 3D Effects window (30.49 KB, image/jpeg)
2013-05-24 11:00 UTC, Edwin Sharp
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2013-05-23 21:07:02 UTC
Take a Draw document and insert one of the predefined 3D-objects, for example a sphere.
Open the 3D effects dialog, where you can set the properties of the 3D object.
Switch to the illumination tab. You see a preview bottom-right with a horizontal and a vertical scrollbar.
Drag the light in the preview. Notice the scrollbar sliders moves with your dragging.
Now try the other way round. Moving the slider or clicking on the arrows should move the light, but does not.

Now click on the sphere, the light becomes small. Click again on the light, it becomes large. Now the scrollbars are enabled and you can use them.

This is a very old error. I have tried OOo1.1.5 and see it already there.
Comment 1 Edwin Sharp 2013-05-24 11:00:12 UTC
Created attachment 80725 [details]
No sliders in 3D Effects window

AOO400m1(Build:9700)  -  Rev. 1479897
2013-05-21 12:47:39 (Di, 21 Mai 2013)
Comment 2 SVN Robot 2013-05-29 13:35:49 UTC
"alg" committed SVN revision 1487480 into trunk:
i122374 added initialisation for initial selection
Comment 3 Armin Le Grand 2013-05-29 13:36:18 UTC
ALG: Added missing nitial initialization when light gets selected in reset method. Works, comitting, done.